package org.rcisoft.bus.mixSelect.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RequestInfromationDto implements Serializable {

	//aaa集合
	private List<String> aaa;
	//bbb集合
	private List<String> bbb;
	//ccc集合
	private List<Integer> ccc;
	//ddd集合
	private List<String> ddd;
	//cccc集合
	private List<String> cccc;
	//dddd集合
	private List<String> dddd;
	//eee集合
	private List<String> eee;
	//fff条件
	private boolean fff;
	//ggg条件
	private boolean ggg;
	//hhh条件
	private boolean hhh;
	//iii条件
	private boolean iii;
	//jjj条件
	private boolean jjj;
	//kkk条件
	private boolean kkk;

	//特判aaa
	private String clickAaa;

	//特判Key
	private String clickKey;

	//特判Val
	private String clickValue;

	//特判Ccc
	private Integer clickCcc;

	//pageSize
	private Integer pageSize;
	//pageNo
	private Integer pageNo;

	public static void cleanAndBuild(RequestInfromationDto r, String key){
		r.fff = false;
		r.ggg = false;
		r.hhh = false;
		r.iii = false;
		r.jjj = false;
		r.kkk = false;
		switch (key){
			case "fff":
				r.fff = true;
				break;
			case "ggg":
				r.ggg = true;
				break;
			case "hhh":
				r.hhh = true;
				break;
			case "iii":
				r.iii = true;
				break;
			case "jjj":
				r.jjj = true;
				break;
			case "kkk":
				r.kkk = true;
				break;
		}
		r.aaa.clear();
		r.aaa.add(r.clickAaa);
	}

}
