package org.rcisoft.bus.mixSelect.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class User implements Serializable {

	private String ccc;

	private List<Infromation> data;

	@JsonIgnore
	private Map<String,Integer> map;

	public User(String ccc, List<String> list, boolean[] flag){
		this.map = new HashMap();
		this.ccc = ccc;
		this.data = new ArrayList<>(list.size());
		for (int i = 0; i < list.size(); i++) {
			Infromation infromation = new Infromation();
			infromation.setAaa(list.get(i));
			if (flag[0]){
				infromation.setFff("");
			}
			if (flag[1]){
				infromation.setGgg("");
			}
			if (flag[2]){
				infromation.setHhh("");
			}
			if (flag[3]){
				infromation.setIii("");
			}
			if (flag[4]){
				infromation.setJjj("");
			}
			if (flag[5]){
				infromation.setKkk("");
			}
			this.data.add(infromation);
			map.put(list.get(i),i);
		}
	}
}
